//www.hellofpga.com//
`timescale 1ns / 1ps
module top(
    input clk,
    output [7:0] LCD_R,
    output [7:0] LCD_G,
    output [7:0] LCD_B,
    output LCD_HS,
    output LCD_VS,
    output LCD_DE,
    output LCD_CLK,
    output LCD_BL
    );
    
    wire PCLK;
    clk_wiz_0 u2(
        .clk_in1(clk),
        .clk_out1(PCLK)
    );
    
    assign LCD_CLK=PCLK;
    assign LCD_BL=1;

    color_bar u4 (
        .clk(PCLK),         
	    .rst_n(1'b1),         
	    .hsync(LCD_HS),    
	    .vsync(LCD_VS),         
	    .de(LCD_DE),         
        .rgb_r(LCD_R),        
        .rgb_g(LCD_G),        
        .rgb_b(LCD_B)         
);
endmodule
